Skip to content
Start here

List apps

client.flagship.apps.list(AppListParams { account_id } params, RequestOptionsoptions?): SinglePage<AppListResponse { id, created_at, name, 2 more } >
GET/accounts/{account_id}/flagship/apps

Lists all apps in the account. Returns identity and audit fields only — flag definitions are not included.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Flagship Read
ParametersExpand Collapse
params: AppListParams { account_id }
account_id: string

Cloudflare account ID.

ReturnsExpand Collapse
AppListResponse { id, created_at, name, 2 more }
id: string
created_at: string
name: string
updated_at: string
updated_by: string

Email of the actor who last modified the app, or edge-gateway for gateway-authenticated changes.

List apps

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const appListResponse of client.flagship.apps.list({ account_id: 'account_id' })) {
  console.log(appListResponse.id);
}
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "id",
      "created_at": "created_at",
      "name": "name",
      "updated_at": "updated_at",
      "updated_by": "updated_by"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "id",
      "created_at": "created_at",
      "name": "name",
      "updated_at": "updated_at",
      "updated_by": "updated_by"
    }
  ],
  "success": true
}